public class WinampHelper
{

	int DiagnosticLevel = 0;

	static
	{

		System.out.println("WINAMPHELPER_PLUGIN:  The WinampHelper class is attempting to load the WinampHelperJNI.dll library.");
		
		try
		{
			System.loadLibrary("WinampHelperJNI");
		}
		catch (SecurityException s)
		{
			System.out.println("WINAMPHELPER_PLUGIN:  The WinampHelperJNI.dll library could not be loaded due to a security exception.");
		}
		catch (UnsatisfiedLinkError l)
		{
			System.out.println("WINAMPHELPER_PLUGIN:  The WinampHelperJNI.dll library could not be loaded due to an unsatisfied link error (ie: the file was not found).");
		}

		System.out.println("WINAMPHELPER_PLUGIN:  The WinampHelper class has loaded WinampHelperJNI.dll library without exception.");
	}

	// JNI Functions; these are the functions in the JNI .dll file
	// that will actually do the work.
	public native void WHStartup();
	public native void WHShutdown();
	public native void WHStartVisualization();
	public native void WHStopVisualization();
	public native int WHCheckVisualization();
	public native long WHDuration();
	public native long WHElapsed();
	public native void WHDirectControlPlayFile(String TheFile);
	public native void WHDirectControlPlay();
	public native void WHDirectControlPause();
	public native void WHDirectControlStop();
	public native void WHDirectControlStopWithFade();
	public native void WHDirectControlStopAfterCurrentTrack();
	public native void WHDirectControlVolumeUp();
	public native void WHDirectControlVolumeDown();
	public native float WHDirectControlSetVolume(float TheVolume);
	public native long WHDirectControlSeek(long ThePosition);
	public native void WHDirectControlFF5();
	public native void WHDirectControlRW5();
	public native int WHDirectControlGetPlaystate();
	public native int WHGetDiagnosticLevel();

	public WinampHelper()
	{
		System.out.println("WINAMPHELPER_PLUGIN:  A new instance of the WinampHelper class is being instantiated.");

		System.out.println("WINAMPHELPER_PLUGIN:  Initializing the WinampJNI.dll library (startup).");

		WHStartup();

		System.out.println("WINAMPHELPER_PLUGIN:  The WinampJNI.dll library has been initialized.");

		System.out.println("WINAMPHELPER_PLUGIN:  Determining the diagnostic level.");

		DiagnosticLevel = WHGetDiagnosticLevel();

		System.out.println("WINAMPHELPER_PLUGIN:  The diagnostic level has been determined.");

		if (DiagnosticLevel == 0)
			System.out.println("WINAMPHELPER_PLUGIN:  Diagnostic Level = 0 (Minimal Tracing)");

		if (DiagnosticLevel == 1)
			System.out.println("WINAMPHELPER_PLUGIN:  Diagnostic Level = 1 (Basic Tracing)");

		if (DiagnosticLevel == 2)
			System.out.println("WINAMPHELPER_PLUGIN:  Diagnostic Level = 2 (Verbose Tracing)");

	}
}

